from ultralytics import YOLO

# Load V1 model trained with original 2021 train/val/test split.
model = YOLO("./models/v1_model_train_2021_val_2021_test_2021.pt")

# Test the model on 2021 test data.
results = model.val(
    data="./data/2021/all_classes.yaml",
    split="test",
    name="v1_model_train_2021_val_2021_test_2021_all_classes",
)

# Load V2 model trained with revised 2021 train/val split.
model = YOLO("./models/v2_model_train_2021_val_2021_test_2024.pt")

# Test the model on 2024 test data.
results = model.val(
    data="./data/2024/smolt.yaml",
    split="test",
    name="v2_model_train_2021_val_2021_test_2024_smolt",
)

# Load V3 model trained with all combined 2021 train/val and 2024 train/val/test split.
model = YOLO("./models/v3_model_train_joint_val_joint_test_2024.pt")

# Test the model on 2024 test data.
results = model.val(
    data="./data/2024/smolt.yaml",
    split="test",
    name="v3_model_train_joint_val_joint_test_2024_smolt",
)
